This module configure faircoin like a payment in prestashop 1.7 using your currency. If you want to add faircoin like a currency too we need to modify more things.

I can't to include override and I try to explain how complete because right now is difficult to add a new currency not listed in prestashop.
To include the currency you can download https://gitlab.com/Al-Demon/ps-custom-register and use the folder translations and override the original from prestashop... then you can add faircoin and socialcoin like the rest of currencies...  for more info you can use this thread https://www.prestashop.com/forums/topic/608078-guide-how-to-configurecustomize-your-currency-in-prestashop-17/


If you want to add customer fields to put faircoin_wallet and integralCES for marketplace for example you need to include custom-register too

You can review https://gitlab.com/Al-Demon/ps-custom-register

_ _ _

You need to put the files in override and modify the data base with the new fields

in case of integralces and faircoin for example:


ALTER TABLE ps_customer ADD COLUMN integralCES VARCHAR(35);
ALTER TABLE ps_customer ADD COLUMN faircoin_wallet VARCHAR(35);



